diff --git a/src/cmdline/cmdline_prompt.cc b/src/cmdline/cmdline_prompt.cc
index 25fadaa..7f417a5 100644
--- a/src/cmdline/cmdline_prompt.cc
+++ b/src/cmdline/cmdline_prompt.cc
@@ -702,7 +702,10 @@ bool cmdline_show_preview(bool as_upgrade, pkgset &to_install,
 	}
     }
 
-  if(quiet == 0 && !recommended.empty())
+  // mafm: see bug #720074, assuming that if stdout is not a tty the quiet
+  // option was automatic and does not apply for silencing this message
+  bool quiet_because_of_pipe_or_redirection = (quiet != 0) && !isatty(1);
+  if((quiet == 0 || quiet_because_of_pipe_or_redirection) && !recommended.empty())
     {
       printf(_("The following packages are RECOMMENDED but will NOT be installed:\n"));
       cmdline_show_instinfo(recommended, verbose, showvers, showdeps, showsize, false, showwhy, term_metrics);
